Subject: Re: Forgotten declaration of function path_name() in revision.h?

From: Petr Stodulka <[email-masked]>
Date: Wed, 16 Mar 2016 20:08:50 +0100

On 16.3.2016 19:48, Jeff King wrote:
> On Wed, Mar 16, 2016 at 07:05:49PM +0100, Petr Stodulka wrote:
> 
>> according to commit 9831e92 (merge) there is maybe by mistake kept declaration
>> of function path_name() in revision.h, whose definition was removed
>> and isn't used in git anymore.
> 
> Yes, this should have been part of de1e67d (list-objects: pass full
> pathname to callbacks, 2016-02-11), but I missed it.
> 
> The patch itself looks fine to me (though it probably makes more sense
> to point to de1e67d than the merge).
> 
> Note also that:
> 
>> ======================================================================
>> From ae72c8f9085b3b7bd84f94f90ff5b0416db59d67 Mon Sep 17 00:00:00 2001
>> From: Petr Stodulka <[email-masked]>
>> Date: Wed, 16 Mar 2016 18:51:53 +0100
>> Subject: [PATCH] remove obsoleted function path_name() from header file
>>  revision.h
> 
> It makes things easier on the maintainer if you format your patch such
> that "git am" can apply it directly. Use scissors like:
> 
> -- >8 --
> 
> to separate the patch from anything that should not go into the commit
> message (rather than "=====..." as you have here).
> 
> Drop the "From " line which says nothing (it is an mbox separator, but
> we are already inside a message).
> 
> The rest of the headers do not hurt, but are generally redundant with
> what is in your email header (though in this case, the Subject is
> different, so you would want to retain that).
> 
> -Peff
> 

Thanks for advice. I will remember this. When I have time, I will look
at git-send-mail eventually.

Petr